var KERNEL_FREERTOS_PAGE =
[
    [ "Introduction", "KERNEL_FREERTOS_PAGE.html#autotoc_md1633", null ],
    [ "Features Supported", "KERNEL_FREERTOS_PAGE.html#FREERTOS_SUPPORTED_FEATURES", null ],
    [ "Features Not Supported", "KERNEL_FREERTOS_PAGE.html#autotoc_md1634", null ],
    [ "SysConfig Features", "KERNEL_FREERTOS_PAGE.html#autotoc_md1635", null ],
    [ "Important files and directory structure", "KERNEL_FREERTOS_PAGE.html#autotoc_md1636", null ],
    [ "FreeRTOS usage guidelines", "KERNEL_FREERTOS_PAGE.html#autotoc_md1637", null ],
    [ "Additional references", "KERNEL_FREERTOS_PAGE.html#autotoc_md1638", null ],
    [ "See also", "KERNEL_FREERTOS_PAGE.html#autotoc_md1639", null ],
    [ "FreeRTOS usage guidelines", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html", [
      [ "FreeRTOS configuration", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1640", null ],
      [ "Using and adding FreeRTOS to your project", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1641", null ],
      [ "Summary of comparison with SysBIOS", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1642", [
        [ "Key similarities between modules", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1643", null ],
        [ "Key differences between modules", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1644", null ]
      ] ],
      [ "FreeRTOS Tasks", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1645", [
        [ "Overview", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1646", null ],
        [ "Initial Tasks", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1647", null ],
        [ "Task load", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1648", null ],
        [ "Important tips for application writers", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1649", null ]
      ] ],
      [ "FreeRTOS Interrupts", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1650", [
        [ "Overview", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1651", null ],
        [ "Nested interrupts and ISR stack", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1652", null ],
        [ "Interrupts outside of FreeRTOS", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1653", null ],
        [ "Additional important tips for application writers", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1654", null ]
      ] ],
      [ "FreeRTOS Semaphores and Mutex", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1655", [
        [ "Overview", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1656", null ],
        [ "Important tips for application writers", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1657", null ]
      ] ],
      [ "FreeRTOS Task Notification", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1658", [
        [ "Overview", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1659", null ],
        [ "Important tips for application writers", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1660", null ]
      ] ],
      [ "FreeRTOS Event Groups", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1661", [
        [ "Overview", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1662", null ],
        [ "Important tips for application writers", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1663", null ]
      ] ],
      [ "FreeRTOS Timers", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1664", [
        [ "Overview", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1665", null ],
        [ "Important tips for application writers", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1666", null ]
      ] ],
      [ "FreeRTOS Heaps", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1667", [
        [ "Default heap", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1668", null ],
        [ "User defined heaps", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1669", null ],
        [ "Important tips for application writers", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1670", null ]
      ] ],
      [ "FreeRTOS Additional Modules", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1671", [
        [ "Queues", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1672", null ],
        [ "Queue Sets, Stream Buffers, Co-routines", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1673", null ]
      ] ],
      [ "FreeRTOS Hook Functions", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1674", [
        [ "Debug Hook Functions", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1675", null ],
        [ "Statistics Hook Functions", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1676", null ],
        [ "Trace Hooks Functions", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1677", null ]
      ] ],
      [ "FreeRTOS POSIX", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1678", [
        [ "Overview", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1679", null ],
        [ "Important tips for application writers", "KERNEL_FREERTOS_IMPORTANT_GUIDELINES_PAGE.html#autotoc_md1680", null ]
      ] ]
    ] ]
];