var TOOLS =
[
    [ "Introduction", "TOOLS.html#autotoc_md2467", null ],
    [ "Booting Tools", "TOOLS_BOOT.html", [
      [ "Introduction", "TOOLS_BOOT.html#autotoc_md2491", null ],
      [ "Important files and folders", "TOOLS_BOOT.html#autotoc_md2492", null ],
      [ "Out2RPRC", "TOOLS_BOOT.html#autotoc_md2493", null ],
      [ "Multi-core Image Gen", "TOOLS_BOOT.html#autotoc_md2494", null ],
      [ "Signing Scripts", "TOOLS_BOOT.html#TOOLS_BOOT_SIGNING", null ],
      [ "XIP Image Generator Tool", "TOOLS_BOOT.html#autotoc_md2495", null ],
      [ "UART Bootloader Python Script", "TOOLS_BOOT.html#UART_BOOTLOADER_PYTHON_SCRIPT", null ],
      [ "USB Bootloader Python Script", "TOOLS_BOOT.html#USB_BOOTLOADER", null ],
      [ "SoC ID parser Python Script", "TOOLS_BOOT.html#SOC_ID_PARSER", null ]
    ] ],
    [ "CCS Tools", "TOOLS_CCS.html", [
      [ "Introduction", "TOOLS_CCS.html#autotoc_md2496", null ],
      [ "Application loader", "TOOLS_CCS.html#autotoc_md2497", [
        [ "Usage", "TOOLS_CCS.html#autotoc_md2498", null ]
      ] ],
      [ "DMSC loader", "TOOLS_CCS.html#autotoc_md2499", null ]
    ] ],
    [ "Flashing Tools", "TOOLS_FLASH.html", [
      [ "Introduction", "TOOLS_FLASH.html#autotoc_md2468", null ],
      [ "TI Uniflash", "TOOLS_FLASH.html#TOOLS_TI_UNIFLASH_TOOL", [
        [ "JTAG Session", "TOOLS_FLASH.html#autotoc_md2469", null ],
        [ "Serial (UART) Session", "TOOLS_FLASH.html#autotoc_md2470", null ]
      ] ],
      [ "UART Uniflash", "TOOLS_FLASH.html#TOOLS_FLASH_UART_UNIFLASH", [
        [ "Tool requirements on host PC", "TOOLS_FLASH.html#autotoc_md2471", null ],
        [ "Important files and folders", "TOOLS_FLASH.html#autotoc_md2472", null ],
        [ "Basic steps to flash files", "TOOLS_FLASH.html#BASIC_STEPS_TO_FLASH_FILES", [
          [ "RSA", "SECURITY_PKA_MODULE_PAGE.html#autotoc_md2221", null ],
          [ "ECDSA", "SECURITY_PKA_MODULE_PAGE.html#autotoc_md2222", null ],
          [ "Getting ready to flash", "TOOLS_FLASH.html#autotoc_md2473", null ],
          [ "Flash configuration file", "TOOLS_FLASH.html#autotoc_md2474", null ],
          [ "Flash configuration file for flashing to eMMC", "TOOLS_FLASH.html#autotoc_md2475", null ],
          [ "Flashing the files", "TOOLS_FLASH.html#autotoc_md2476", null ],
          [ "Flash tool options", "TOOLS_FLASH.html#autotoc_md2477", null ]
        ] ],
        [ "Flash tool error messages and solutions", "TOOLS_FLASH.html#TOOLS_FLASH_ERROR_MESSAGES", null ],
        [ "Detailed sequence of steps that happen when flashing files", "TOOLS_FLASH.html#autotoc_md2478", null ],
        [ "GUI for UART Uniflash (Experimental)", "TOOLS_FLASH.html#TOOLS_UART_UNIFLASH_GUI", [
          [ "Pre-Requisites for UART Uniflash GUI", "TOOLS_FLASH.html#autotoc_md2479", null ]
        ] ],
        [ "Using the UART Uniflash GUI", "TOOLS_FLASH.html#autotoc_md2480", null ],
        [ "Important Notes and Common Pitfalls in UART Uniflash GUI", "TOOLS_FLASH.html#autotoc_md2481", null ]
      ] ],
      [ "USB DFU Uniflash", "TOOLS_FLASH.html#TOOLS_FLASH_DFU_UNIFLASH", [
        [ "USB DFU bootflow using dfu based flash-writer.", "TOOLS_FLASH.html#autotoc_md2482", null ],
        [ "Tool requirements on host PC", "TOOLS_FLASH.html#autotoc_md2483", null ],
        [ "Important files and folders", "TOOLS_FLASH.html#autotoc_md2484", null ],
        [ "Basic steps to flash files", "TOOLS_FLASH.html#BASIC_STEPS_TO_FLASH_FILES_DFU", [
          [ "Flashing the files", "TOOLS_FLASH.html#autotoc_md2485", null ],
          [ "Flash tool options", "TOOLS_FLASH.html#autotoc_md2486", null ]
        ] ],
        [ "Detailed sequence of steps that happen when flashing files using usb_dfu_uniflash tool", "TOOLS_FLASH.html#autotoc_md2487", null ]
      ] ],
      [ "JTAG Uniflash", "TOOLS_FLASH.html#TOOLS_FLASH_JTAG_UNIFLASH", [
        [ "Important files and folders", "TOOLS_FLASH.html#autotoc_md2488", null ],
        [ "Basic steps to flash files", "TOOLS_FLASH.html#autotoc_md2489", null ],
        [ "See also", "TOOLS_FLASH.html#autotoc_md2490", null ]
      ] ]
    ] ],
    [ "SYSFW Tools", "TOOLS_SYSFW.html", [
      [ "Introduction", "TOOLS_SYSFW.html#autotoc_md2500", null ],
      [ "Tool requirements on host PC", "TOOLS_SYSFW.html#autotoc_md2501", null ],
      [ "Important files and folders", "TOOLS_SYSFW.html#autotoc_md2502", null ],
      [ "SYSFW Board Config Generation", "TOOLS_SYSFW.html#BOARCFG_GEN", null ]
    ] ],
    [ "Smart Placement", "SMART_PLACEMENT.html", [
      [ "What is Smart Placement?", "SMART_PLACEMENT.html#autotoc_md277", null ],
      [ "Theory of Smart Placement.", "SMART_PLACEMENT.html#autotoc_md278", [
        [ "How is identify critical code?", "SMART_PLACEMENT.html#autotoc_md279", null ],
        [ "Why CPI of a function increases?", "SMART_PLACEMENT.html#autotoc_md280", null ],
        [ "How smart placement helps in improving performance", "SMART_PLACEMENT.html#autotoc_md281", [
          [ "Providing variety of tools/method to determine critical functions", "SMART_PLACEMENT.html#autotoc_md282", null ],
          [ "Using TCM", "SMART_PLACEMENT.html#autotoc_md283", null ],
          [ "Removing unnecessary trampolines", "SMART_PLACEMENT.html#autotoc_md284", null ]
        ] ],
        [ "Getting started with Smart Placement", "SMART_PLACEMENT.html#autotoc_md285", null ]
      ] ]
    ] ],
    [ "Software Instrument Smart Placement", "SW_INSTRUMENT_SMART_PLACEMENT.html", [
      [ "Introduction", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md293", null ],
      [ "Short Coming of This Method", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md294", null ],
      [ "Steps", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md295", [
        [ "1. Recompilation of Libraries", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md296", null ],
        [ "2. Recompilation of Application", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md297", null ],
        [ "3. Test Run / Profiling Data Generation", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md298", null ],
        [ "4. Profiling Data Extraction", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md299", null ],
        [ "5. Extracted Data Processing", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md300", null ]
      ] ],
      [ "6. Linker update related to Smart Placement", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md301", null ],
      [ "7. Rebuilding the Application", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md302", null ],
      [ "Benchmark Application", "SW_INSTRUMENT_SMART_PLACEMENT.html#autotoc_md303", null ]
    ] ],
    [ "Manual Smart Placement", "MANUAL_SMART_PLACEMENT.html", [
      [ "Introduction", "MANUAL_SMART_PLACEMENT.html#autotoc_md286", null ],
      [ "Steps involved in applying smart placement.", "MANUAL_SMART_PLACEMENT.html#autotoc_md287", [
        [ "Identification of function criticality", "MANUAL_SMART_PLACEMENT.html#autotoc_md288", null ],
        [ "Priority Assignment", "MANUAL_SMART_PLACEMENT.html#autotoc_md289", null ]
      ] ],
      [ "Function Annotation", "MANUAL_SMART_PLACEMENT.html#autotoc_md290", null ],
      [ "Linker update", "MANUAL_SMART_PLACEMENT.html#autotoc_md291", null ],
      [ "Basic Smart Placement Example", "MANUAL_SMART_PLACEMENT.html#autotoc_md292", null ]
    ] ],
    [ "TI Uniflash Tool", "TI_UNIFLASH_TOOL.html", [
      [ "Introduction", "TI_UNIFLASH_TOOL.html#autotoc_md261", null ],
      [ "Download and Install Uniflash", "TI_UNIFLASH_TOOL.html#autotoc_md262", null ],
      [ "Launching a Session", "TI_UNIFLASH_TOOL.html#autotoc_md263", null ],
      [ "Programming the Device", "TI_UNIFLASH_TOOL.html#autotoc_md264", [
        [ "JTAG Session", "TI_UNIFLASH_TOOL.html#autotoc_md265", null ],
        [ "Serial (UART) Session", "TI_UNIFLASH_TOOL.html#autotoc_md266", null ]
      ] ],
      [ "Custom Flash Support", "TI_UNIFLASH_TOOL.html#autotoc_md267", null ],
      [ "Existing Limitations", "TI_UNIFLASH_TOOL.html#autotoc_md268", null ],
      [ "Troubleshooting", "TI_UNIFLASH_TOOL.html#TI_UNIFLASH_TROUBLESHOOTING", null ],
      [ "Supported File Formats", "TI_UNIFLASH_TOOL.html#autotoc_md269", null ],
      [ "Memory Browser and Memory Export", "TI_UNIFLASH_TOOL.html#autotoc_md270", null ],
      [ "Additional Information", "TI_UNIFLASH_TOOL.html#autotoc_md271", null ]
    ] ],
    [ "Uniflash Custom Flash Writer", "TOOLS_UNIFLASH_CUSTOM_FLASHER.html", [
      [ "Introduction", "TOOLS_UNIFLASH_CUSTOM_FLASHER.html#autotoc_md272", null ],
      [ "Supported Combinations", "TOOLS_UNIFLASH_CUSTOM_FLASHER.html#TOOLS_CUSTOM_FLASHER_COMBOS", null ],
      [ "Steps to Configure the Application", "TOOLS_UNIFLASH_CUSTOM_FLASHER.html#autotoc_md273", null ],
      [ "Steps to Run the Example", "TOOLS_UNIFLASH_CUSTOM_FLASHER.html#autotoc_md274", null ],
      [ "See Also", "TOOLS_UNIFLASH_CUSTOM_FLASHER.html#autotoc_md275", null ],
      [ "Troubleshooting", "TOOLS_UNIFLASH_CUSTOM_FLASHER.html#autotoc_md276", null ]
    ] ],
    [ "Memory Configurator", "MEMORY_CONFIGURATOR.html", [
      [ "Introduction", "MEMORY_CONFIGURATOR.html#autotoc_md2503", null ],
      [ "Enhanced Significance in Multi-Core Environments", "MEMORY_CONFIGURATOR.html#autotoc_md2504", null ],
      [ "Handling Violations and Common Configuration Errors", "MEMORY_CONFIGURATOR.html#autotoc_md2505", null ],
      [ "Getting Started with the Tool", "MEMORY_CONFIGURATOR.html#autotoc_md2506", [
        [ "General", "MEMORY_CONFIGURATOR.html#autotoc_md2507", null ],
        [ "Memory Region", "MEMORY_CONFIGURATOR.html#autotoc_md2508", [
          [ "Impact of Automate MPU Setting", "MEMORY_CONFIGURATOR.html#autotoc_md2509", null ]
        ] ],
        [ "Section", "MEMORY_CONFIGURATOR.html#autotoc_md2510", null ],
        [ "Default Linker Configuration", "MEMORY_CONFIGURATOR.html#autotoc_md2511", null ],
        [ "MPU Settings", "MEMORY_CONFIGURATOR.html#autotoc_md2512", null ],
        [ "Enhanced Visualization View", "MEMORY_CONFIGURATOR.html#autotoc_md2513", null ],
        [ "By-passing Sysconfig generated Linker", "MEMORY_CONFIGURATOR.html#autotoc_md2514", null ]
      ] ]
    ] ]
];