var BOOTFLOW_GUIDE =
[
    [ "Introduction", "BOOTFLOW_GUIDE.html#autotoc_md160", [
      [ "What Is Bootloader?", "BOOTFLOW_GUIDE.html#autotoc_md161", null ],
      [ "Multi-Stage Bootloader", "BOOTFLOW_GUIDE.html#autotoc_md162", null ],
      [ "Multi-Core Bootloading", "BOOTFLOW_GUIDE.html#autotoc_md163", null ]
    ] ],
    [ "Bootloading in MCU+SDK", "BOOTFLOW_GUIDE.html#autotoc_md164", [
      [ "ROM Boot", "BOOTFLOW_GUIDE.html#autotoc_md165", [
        [ "System Controller Firmware (SYSFW)", "BOOTFLOW_GUIDE.html#autotoc_md166", null ],
        [ "Preparing the SBL for boot", "BOOTFLOW_GUIDE.html#autotoc_md167", null ]
      ] ],
      [ "SBL Boot", "BOOTFLOW_GUIDE.html#autotoc_md168", [
        [ "Preparing the application for boot", "BOOTFLOW_GUIDE.html#autotoc_md169", null ],
        [ "Flashing the application for boot", "BOOTFLOW_GUIDE.html#autotoc_md170", null ],
        [ "Booting the application", "BOOTFLOW_GUIDE.html#autotoc_md171", null ]
      ] ]
    ] ],
    [ "Secure Boot", "BOOTFLOW_GUIDE.html#autotoc_md172", null ],
    [ "Deep Dive into SBLs", "BOOTFLOW_GUIDE.html#autotoc_md173", [
      [ "SBL NULL", "BOOTFLOW_GUIDE.html#autotoc_md174", null ],
      [ "SBL SD", "BOOTFLOW_GUIDE.html#BOOTFLOW_SBL_SD", null ],
      [ "SBL OSPI", "BOOTFLOW_GUIDE.html#autotoc_md175", null ],
      [ "SBL OSPI MULTI-PARTITION", "BOOTFLOW_GUIDE.html#autotoc_md176", null ],
      [ "SBL UART", "BOOTFLOW_GUIDE.html#autotoc_md177", null ],
      [ "SBL PCIE", "BOOTFLOW_GUIDE.html#autotoc_md178", null ],
      [ "SBL EMMC", "BOOTFLOW_GUIDE.html#autotoc_md179", null ]
    ] ],
    [ "Additional References", "BOOTFLOW_GUIDE.html#autotoc_md180", null ],
    [ "Enabling XIP or eXecute In Place", "BOOTFLOW_XIP.html", [
      [ "Introduction", "BOOTFLOW_XIP.html#autotoc_md181", null ],
      [ "Additional References", "BOOTFLOW_XIP.html#autotoc_md182", null ],
      [ "Pre-requisites", "BOOTFLOW_XIP.html#autotoc_md183", null ],
      [ "Enable XIP for a application", "BOOTFLOW_XIP.html#autotoc_md184", null ],
      [ "Debugging XIP applications", "BOOTFLOW_XIP.html#autotoc_md185", null ]
    ] ]
];