var DEVELOPER_GUIDES =
[
    [ "Installing SDK at non-default location", "INSTALL_NON_DEFAULT.html", [
      [ "Introduction", "INSTALL_NON_DEFAULT.html#autotoc_md213", null ],
      [ "SDK Installation", "INSTALL_NON_DEFAULT.html#autotoc_md214", [
        [ "Using Makefiles", "INSTALL_NON_DEFAULT.html#autotoc_md215", null ],
        [ "Using CCS Projects", "INSTALL_NON_DEFAULT.html#autotoc_md216", null ]
      ] ],
      [ "SysConfig Installation", "INSTALL_NON_DEFAULT.html#autotoc_md217", [
        [ "Using Makefiles", "INSTALL_NON_DEFAULT.html#autotoc_md218", null ],
        [ "Using CCS Projects", "INSTALL_NON_DEFAULT.html#autotoc_md219", null ]
      ] ],
      [ "TI CLANG Compiler Toolchain Installation", "INSTALL_NON_DEFAULT.html#autotoc_md220", [
        [ "Using Makefiles", "INSTALL_NON_DEFAULT.html#autotoc_md221", null ],
        [ "Using CCS Projects", "INSTALL_NON_DEFAULT.html#autotoc_md222", null ]
      ] ],
      [ "CCS Installation", "INSTALL_NON_DEFAULT.html#autotoc_md223", [
        [ "Using Makefiles", "INSTALL_NON_DEFAULT.html#autotoc_md224", null ],
        [ "Using CCS Projects", "INSTALL_NON_DEFAULT.html#autotoc_md225", null ]
      ] ],
      [ "Other Tools", "INSTALL_NON_DEFAULT.html#autotoc_md226", null ]
    ] ],
    [ "Understanding inter-processor communication (IPC)", "IPC_GUIDE.html", [
      [ "Introduction", "IPC_GUIDE.html#autotoc_md195", null ],
      [ "Additional References", "IPC_GUIDE.html#autotoc_md196", null ],
      [ "IPC SW Architecture", "IPC_GUIDE.html#autotoc_md197", [
        [ "IPC Notify and IPC RP Message", "IPC_GUIDE.html#autotoc_md198", null ],
        [ "Important usage points", "IPC_GUIDE.html#autotoc_md199", null ],
        [ "IPC design pattern", "IPC_GUIDE.html#autotoc_md200", null ],
        [ "SafeIPC Design", "IPC_GUIDE.html#autotoc_md201", null ]
      ] ],
      [ "Enabling IPC in applications", "IPC_GUIDE.html#autotoc_md202", [
        [ "Enable IPC in SysConfig", "IPC_GUIDE.html#autotoc_md203", null ],
        [ "Update linker command file", "IPC_GUIDE.html#autotoc_md204", null ],
        [ "Update MMU/MPU for the CPU", "IPC_GUIDE.html#autotoc_md205", null ],
        [ "Sync with CPUs", "IPC_GUIDE.html#autotoc_md206", null ],
        [ "Start using the APIs", "IPC_GUIDE.html#autotoc_md207", null ]
      ] ]
    ] ],
    [ "Using MCU+ SDK Low Level Drivers (LLD's)", "LLD_GUIDE.html", [
      [ "Introduction", "LLD_GUIDE.html#autotoc_md208", null ],
      [ "LLD SW Architecture", "LLD_GUIDE.html#autotoc_md209", null ],
      [ "SysCfg Support", "LLD_GUIDE.html#autotoc_md210", null ],
      [ "Steps to use LLD Drivers in Application", "LLD_GUIDE.html#autotoc_md211", null ],
      [ "Additional References", "LLD_GUIDE.html#autotoc_md212", null ]
    ] ],
    [ "Memory Map Layout", "MEMORY_MAP.html", [
      [ "Introduction", "MEMORY_MAP.html#autotoc_md253", null ],
      [ "MSRAM", "MEMORY_MAP.html#autotoc_md254", null ],
      [ "DDR", "MEMORY_MAP.html#autotoc_md255", null ]
    ] ],
    [ "Understanding the bootflow and bootloaders", "BOOTFLOW_GUIDE.html", "BOOTFLOW_GUIDE" ],
    [ "Enabling XIP or eXecute In Place", "BOOTFLOW_XIP.html", [
      [ "Introduction", "BOOTFLOW_XIP.html#autotoc_md181", null ],
      [ "Additional References", "BOOTFLOW_XIP.html#autotoc_md182", null ],
      [ "Pre-requisites", "BOOTFLOW_XIP.html#autotoc_md183", null ],
      [ "Enable XIP for a application", "BOOTFLOW_XIP.html#autotoc_md184", null ],
      [ "Debugging XIP applications", "BOOTFLOW_XIP.html#autotoc_md185", null ]
    ] ],
    [ "Using SDK with CCS Projects", "CCS_PROJECTS_PAGE.html", [
      [ "Introduction", "CCS_PROJECTS_PAGE.html#autotoc_md135", null ],
      [ "CCS Projectspec and CCS Projects", "CCS_PROJECTS_PAGE.html#autotoc_md136", null ],
      [ "Import a Project in CCS", "CCS_PROJECTS_PAGE.html#autotoc_md137", null ],
      [ "Browse a Project in CCS", "CCS_PROJECTS_PAGE.html#autotoc_md138", null ],
      [ "Build a Project in CCS", "CCS_PROJECTS_PAGE.html#autotoc_md139", null ],
      [ "Build System Projects in CCS", "CCS_PROJECTS_PAGE.html#autotoc_md140", null ],
      [ "1 Click Debug with CCS Projects", "CCS_PROJECTS_PAGE.html#CCS_PROJECTS_1CLICK_DEBUG", null ],
      [ "Load and Run Executables Built with CCS Projects", "CCS_PROJECTS_PAGE.html#autotoc_md141", null ],
      [ "Delete a Project in CCS", "CCS_PROJECTS_PAGE.html#autotoc_md142", null ]
    ] ],
    [ "Using SDK with Makefiles", "MAKEFILE_BUILD_PAGE.html", [
      [ "Introduction", "MAKEFILE_BUILD_PAGE.html#autotoc_md143", null ],
      [ "Enabling \"make\" in Windows", "MAKEFILE_BUILD_PAGE.html#autotoc_md144", null ],
      [ "Building Libraries with Makefiles", "MAKEFILE_BUILD_PAGE.html#autotoc_md145", null ],
      [ "Building examples with makefiles", "MAKEFILE_BUILD_PAGE.html#MAKEFILE_EXAMPLE_BUILD", null ],
      [ "Building System Examples with Makefiles", "MAKEFILE_BUILD_PAGE.html#autotoc_md146", null ],
      [ "Building the Whole SDK with Makefiles", "MAKEFILE_BUILD_PAGE.html#autotoc_md147", null ],
      [ "Load and Run Executables Built with Makefiles", "MAKEFILE_BUILD_PAGE.html#autotoc_md148", null ],
      [ "Tips and Tricks when working with Makefiles", "MAKEFILE_BUILD_PAGE.html#autotoc_md149", null ]
    ] ],
    [ "Using SDK with Real-time Object View (ROV)", "ROV_INTRO_PAGE.html", [
      [ "Introduction", "ROV_INTRO_PAGE.html#autotoc_md227", null ],
      [ "Features Supported", "ROV_INTRO_PAGE.html#autotoc_md228", null ],
      [ "Features NOT Supported", "ROV_INTRO_PAGE.html#autotoc_md229", null ],
      [ "Using ROV with SDK examples", "ROV_INTRO_PAGE.html#autotoc_md230", null ],
      [ "Enabling ROV in your project", "ROV_INTRO_PAGE.html#autotoc_md231", null ],
      [ "Enabling ROV with makefile", "ROV_INTRO_PAGE.html#autotoc_md232", null ],
      [ "Important Usage Guidelines", "ROV_INTRO_PAGE.html#autotoc_md233", null ]
    ] ],
    [ "Using SDK with SysConfig", "SYSCONFIG_INTRO_PAGE.html", [
      [ "Introduction", "SYSCONFIG_INTRO_PAGE.html#autotoc_md150", [
        [ "SysConfig Features used in the SDK", "SYSCONFIG_INTRO_PAGE.html#autotoc_md151", null ]
      ] ],
      [ "Opening SysConfig GUI from CCS", "SYSCONFIG_INTRO_PAGE.html#autotoc_md152", null ],
      [ "Opening SysConfig GUI from command line and makefiles", "SYSCONFIG_INTRO_PAGE.html#autotoc_md153", null ],
      [ "Using the SysConfig GUI", "SYSCONFIG_INTRO_PAGE.html#autotoc_md154", null ],
      [ "Generating Files using SysConfig", "SYSCONFIG_INTRO_PAGE.html#autotoc_md155", null ],
      [ "Understanding Generated Files", "SYSCONFIG_INTRO_PAGE.html#autotoc_md156", null ],
      [ "Tips and Tricks for SysConfig", "SYSCONFIG_INTRO_PAGE.html#autotoc_md157", null ]
    ] ],
    [ "Using SDK with TI Resource Explorer", "TIREX_INTRO_PAGE.html", [
      [ "Introduction", "TIREX_INTRO_PAGE.html#autotoc_md158", null ],
      [ "Using TI Resource Explorer from Browser", "TIREX_INTRO_PAGE.html#TIREX_BROWSER_USAGE", null ],
      [ "Using TI Resource Explorer from Desktop CCS", "TIREX_INTRO_PAGE.html#autotoc_md159", null ]
    ] ],
    [ "Adding Support For a Custom Flash Device", "CUSTOM_FLASH_SUPPORT_GUIDE.html", [
      [ "Introduction", "CUSTOM_FLASH_SUPPORT_GUIDE.html#autotoc_md234", [
        [ "Serial Flash Discoverable Parameters (SFDP)", "CUSTOM_FLASH_SUPPORT_GUIDE.html#autotoc_md235", null ]
      ] ],
      [ "Summary of steps needed to enable a new flash device", "CUSTOM_FLASH_SUPPORT_GUIDE.html#autotoc_md236", null ],
      [ "Step 1: Building the OSPI Flash Diagnostic example", "CUSTOM_FLASH_SUPPORT_GUIDE.html#autotoc_md237", null ],
      [ "Step 2: Configuring the flash via SysConfig", "CUSTOM_FLASH_SUPPORT_GUIDE.html#autotoc_md238", [
        [ "Case 1: Flash Supports SFDP", "CUSTOM_FLASH_SUPPORT_GUIDE.html#autotoc_md239", null ],
        [ "Case 2: Flash Doesn't Support SFDP", "CUSTOM_FLASH_SUPPORT_GUIDE.html#autotoc_md240", null ],
        [ "Case 3 (Rare Scenario): Flash Supports SFDP, but Protocol Configuration is Custom", "CUSTOM_FLASH_SUPPORT_GUIDE.html#autotoc_md241", null ]
      ] ],
      [ "Obtaining flash details from the SFDP table OR datasheet", "CUSTOM_FLASH_SUPPORT_GUIDE.html#autotoc_md242", null ],
      [ "Miscellaneous Debugging Tips and Tricks", "CUSTOM_FLASH_SUPPORT_GUIDE.html#autotoc_md243", null ]
    ] ],
    [ "Using MCU+SDK with CCS Cloud", "CCS_CLOUD_INTRO_PAGE.html", [
      [ "Introduction", "CCS_CLOUD_INTRO_PAGE.html#autotoc_md244", null ],
      [ "Importing an example project to CCS Cloud", "CCS_CLOUD_INTRO_PAGE.html#autotoc_md245", null ],
      [ "Building an example project", "CCS_CLOUD_INTRO_PAGE.html#autotoc_md246", null ],
      [ "Running an example on the EVM/LaunchPad connected to the PC", "CCS_CLOUD_INTRO_PAGE.html#autotoc_md247", null ],
      [ "Debugging the example", "CCS_CLOUD_INTRO_PAGE.html#autotoc_md248", null ],
      [ "Example Logs", "CCS_CLOUD_INTRO_PAGE.html#autotoc_md249", null ]
    ] ],
    [ "Modifying resource allocation", "RESOURCE_ALLOCATION_GUIDE.html", [
      [ "Introduction", "RESOURCE_ALLOCATION_GUIDE.html#autotoc_md250", null ],
      [ "Changing a particular resource", "RESOURCE_ALLOCATION_GUIDE.html#autotoc_md251", null ],
      [ "Rebuilding the board configuration", "RESOURCE_ALLOCATION_GUIDE.html#autotoc_md252", null ]
    ] ],
    [ "Enabling Secure Boot", "SECURE_BOOT.html", [
      [ "Secure Devices and Secure Boot: An Introduction", "SECURE_BOOT.html#autotoc_md186", null ],
      [ "Secure Boot Process", "SECURE_BOOT.html#autotoc_md187", null ],
      [ "Secure Boot Support in SDK", "SECURE_BOOT.html#autotoc_md188", [
        [ "Device configuration file", "SECURE_BOOT.html#autotoc_md189", null ],
        [ "Signing tool", "SECURE_BOOT.html#autotoc_md190", null ],
        [ "Generating Secure Boot Image", "SECURE_BOOT.html#autotoc_md191", [
          [ "SBL Image Generation", "SECURE_BOOT.html#autotoc_md192", null ],
          [ "Secure application image Generation", "SECURE_BOOT.html#autotoc_md193", null ]
        ] ]
      ] ],
      [ "Limitations in Secure Boot", "SECURE_BOOT.html#autotoc_md194", null ]
    ] ],
    [ "MCU Reset Isolation", "MCU_RESET_ISOLATION.html", [
      [ "MCU Domain Reset Isolation: Introduction", "MCU_RESET_ISOLATION.html#autotoc_md256", null ],
      [ "Reset Isolation: Developing a reset isolated safety application", "MCU_RESET_ISOLATION.html#autotoc_md257", [
        [ "MCU Domain", "MCU_RESET_ISOLATION.html#autotoc_md258", null ],
        [ "MAIN domain", "MCU_RESET_ISOLATION.html#autotoc_md259", null ],
        [ "System Firmware & Board config", "MCU_RESET_ISOLATION.html#autotoc_md260", null ]
      ] ]
    ] ],
    [ "Ethernet PRU_ICSSG instance-0 (PRU_ICSSG0) USAGE GUIDE", "ICSSG0_USAGE_GUIDE.html", [
      [ "Introduction", "ICSSG0_USAGE_GUIDE.html#autotoc_md2072", null ],
      [ "Platforms Supporting PRU_ICSSG0", "ICSSG0_USAGE_GUIDE.html#autotoc_md2073", null ],
      [ "Configurations supported by PRU_ICSSG0", "ICSSG0_USAGE_GUIDE.html#autotoc_md2074", null ],
      [ "Configuring PRU_ICSSG0 instance", "ICSSG0_USAGE_GUIDE.html#autotoc_md2075", null ],
      [ "See Also", "ICSSG0_USAGE_GUIDE.html#autotoc_md2076", null ]
    ] ],
    [ "How to add compiler generated sections for instrumentation binaries?", "INSTRUMENTED_APPLICATION_SPECIAL_SECTION_ADD.html", [
      [ "Introduction", "INSTRUMENTED_APPLICATION_SPECIAL_SECTION_ADD.html#autotoc_md304", [
        [ "Linker changes", "INSTRUMENTED_APPLICATION_SPECIAL_SECTION_ADD.html#autotoc_md305", null ]
      ] ]
    ] ],
    [ "Changes in linker for Smart Placement", "SMART_PLACEMENT_LINKER_CHANGE.html", [
      [ "Introduction", "SMART_PLACEMENT_LINKER_CHANGE.html#autotoc_md306", null ],
      [ "Linker changes", "SMART_PLACEMENT_LINKER_CHANGE.html#autotoc_md307", null ]
    ] ]
];