var DRIVERS_PAGE =
[
    [ "Introduction", "DRIVERS_PAGE.html#autotoc_md1762", null ],
    [ "ADC", "DRIVERS_ADC_PAGE.html", [
      [ "Features Supported", "DRIVERS_ADC_PAGE.html#autotoc_md1763", null ],
      [ "SysConfig Features", "DRIVERS_ADC_PAGE.html#autotoc_md1764", null ],
      [ "Features NOT Supported", "DRIVERS_ADC_PAGE.html#autotoc_md1765", null ],
      [ "Important Usage Guidelines", "DRIVERS_ADC_PAGE.html#autotoc_md1766", null ],
      [ "Example Usage", "DRIVERS_ADC_PAGE.html#autotoc_md1767", null ],
      [ "API", "DRIVERS_ADC_PAGE.html#autotoc_md1768", null ]
    ] ],
    [ "BOOTLOADER", "DRIVERS_BOOTLOADER_PAGE.html", [
      [ "Features Supported", "DRIVERS_BOOTLOADER_PAGE.html#autotoc_md1769", null ],
      [ "SysConfig Features", "DRIVERS_BOOTLOADER_PAGE.html#autotoc_md1770", null ],
      [ "Features not Supported", "DRIVERS_BOOTLOADER_PAGE.html#autotoc_md1771", null ],
      [ "R5 Dual Core Support", "DRIVERS_BOOTLOADER_PAGE.html#autotoc_md1772", null ],
      [ "Example Usage", "DRIVERS_BOOTLOADER_PAGE.html#autotoc_md1773", null ],
      [ "API", "DRIVERS_BOOTLOADER_PAGE.html#autotoc_md1774", null ]
    ] ],
    [ "CRC", "DRIVERS_CRC_PAGE.html", [
      [ "Features Supported", "DRIVERS_CRC_PAGE.html#autotoc_md1788", null ],
      [ "SysConfig Features", "DRIVERS_CRC_PAGE.html#autotoc_md1789", null ],
      [ "Features NOT Supported", "DRIVERS_CRC_PAGE.html#autotoc_md1790", null ],
      [ "Important Usage Guidelines", "DRIVERS_CRC_PAGE.html#autotoc_md1791", null ],
      [ "Example Usage", "DRIVERS_CRC_PAGE.html#autotoc_md1792", null ],
      [ "API", "DRIVERS_CRC_PAGE.html#autotoc_md1793", null ]
    ] ],
    [ "DDR", "DRIVERS_DDR_PAGE.html", [
      [ "Features Supported", "DRIVERS_DDR_PAGE.html#autotoc_md1775", null ],
      [ "SysConfig Features", "DRIVERS_DDR_PAGE.html#autotoc_md1776", null ],
      [ "Features not Supported", "DRIVERS_DDR_PAGE.html#autotoc_md1777", null ],
      [ "Creating your own DDR config file", "DRIVERS_DDR_PAGE.html#autotoc_md1778", [
        [ "Step 1: Generate a DDR config file for your EVM", "DRIVERS_DDR_PAGE.html#autotoc_md1779", null ],
        [ "Step 2: Add the generated DDR config file to your project", "DRIVERS_DDR_PAGE.html#autotoc_md1780", null ]
      ] ],
      [ "Creating your own LPDDR config file", "DRIVERS_DDR_PAGE.html#autotoc_md1781", [
        [ "Step 1: Generate a LPDDR config file for your EVM", "DRIVERS_DDR_PAGE.html#autotoc_md1782", null ],
        [ "Step 2: Add the generated LPDDR config file to your project", "DRIVERS_DDR_PAGE.html#autotoc_md1783", null ]
      ] ],
      [ "Important Usage Guidelines", "DRIVERS_DDR_PAGE.html#autotoc_md1784", null ],
      [ "Usage Overview", "DRIVERS_DDR_PAGE.html#autotoc_md1785", null ],
      [ "Example Usage", "DRIVERS_DDR_PAGE.html#autotoc_md1786", null ],
      [ "API", "DRIVERS_DDR_PAGE.html#autotoc_md1787", null ]
    ] ],
    [ "ECAP", "DRIVERS_ECAP_PAGE.html", [
      [ "Features Supported", "DRIVERS_ECAP_PAGE.html#autotoc_md1794", null ],
      [ "SysConfig Features", "DRIVERS_ECAP_PAGE.html#autotoc_md1795", null ],
      [ "Features NOT Supported", "DRIVERS_ECAP_PAGE.html#autotoc_md1796", null ],
      [ "Important Usage Guidelines", "DRIVERS_ECAP_PAGE.html#autotoc_md1797", null ],
      [ "Example Usage", "DRIVERS_ECAP_PAGE.html#autotoc_md1798", null ],
      [ "API", "DRIVERS_ECAP_PAGE.html#autotoc_md1799", null ]
    ] ],
    [ "EQEP", "DRIVERS_EQEP_PAGE.html", [
      [ "Features Supported", "DRIVERS_EQEP_PAGE.html#autotoc_md1806", null ],
      [ "SysConfig Features", "DRIVERS_EQEP_PAGE.html#autotoc_md1807", null ],
      [ "Features NOT Supported", "DRIVERS_EQEP_PAGE.html#autotoc_md1808", null ],
      [ "Important Usage Guidelines", "DRIVERS_EQEP_PAGE.html#autotoc_md1809", null ],
      [ "Example Usage", "DRIVERS_EQEP_PAGE.html#autotoc_md1810", null ],
      [ "API", "DRIVERS_EQEP_PAGE.html#autotoc_md1811", null ]
    ] ],
    [ "EPWM", "DRIVERS_EPWM_PAGE.html", [
      [ "Features Supported", "DRIVERS_EPWM_PAGE.html#autotoc_md1800", null ],
      [ "SysConfig Features", "DRIVERS_EPWM_PAGE.html#autotoc_md1801", null ],
      [ "Features NOT Supported", "DRIVERS_EPWM_PAGE.html#autotoc_md1802", null ],
      [ "Important Usage Guidelines", "DRIVERS_EPWM_PAGE.html#autotoc_md1803", null ],
      [ "Example Usage", "DRIVERS_EPWM_PAGE.html#autotoc_md1804", null ],
      [ "API", "DRIVERS_EPWM_PAGE.html#autotoc_md1805", null ]
    ] ],
    [ "ESM", "DRIVERS_ESM_PAGE.html", [
      [ "Features Supported", "DRIVERS_ESM_PAGE.html#autotoc_md1812", null ],
      [ "SysConfig Features", "DRIVERS_ESM_PAGE.html#autotoc_md1813", null ],
      [ "Features NOT Supported", "DRIVERS_ESM_PAGE.html#autotoc_md1814", null ],
      [ "Usage Overview", "DRIVERS_ESM_PAGE.html#autotoc_md1815", [
        [ "API Sequence", "DRIVERS_ESM_PAGE.html#autotoc_md1816", null ]
      ] ],
      [ "Example Usage", "DRIVERS_ESM_PAGE.html#autotoc_md1817", null ],
      [ "API", "DRIVERS_ESM_PAGE.html#autotoc_md1818", null ]
    ] ],
    [ "FIREWALL", "DRIVERS_FIREWALL_PAGE.html", [
      [ "Features Supported", "DRIVERS_FIREWALL_PAGE.html#autotoc_md1819", null ],
      [ "SysConfig Features", "DRIVERS_FIREWALL_PAGE.html#autotoc_md1820", null ],
      [ "Features NOT supported", "DRIVERS_FIREWALL_PAGE.html#autotoc_md1821", null ],
      [ "Important Usage Guidelines", "DRIVERS_FIREWALL_PAGE.html#autotoc_md1822", null ],
      [ "Example Usage", "DRIVERS_FIREWALL_PAGE.html#autotoc_md1823", null ],
      [ "API", "DRIVERS_FIREWALL_PAGE.html#autotoc_md1824", null ]
    ] ],
    [ "FSI", "DRIVERS_FSI_PAGE.html", [
      [ "Features Supported", "DRIVERS_FSI_PAGE.html#autotoc_md1825", null ],
      [ "Features NOT Supported", "DRIVERS_FSI_PAGE.html#autotoc_md1826", null ],
      [ "SysConfig Features", "DRIVERS_FSI_PAGE.html#autotoc_md1827", null ],
      [ "Important Usage Guidelines", "DRIVERS_FSI_PAGE.html#autotoc_md1828", null ],
      [ "Example Usage", "DRIVERS_FSI_PAGE.html#autotoc_md1829", null ],
      [ "API", "DRIVERS_FSI_PAGE.html#autotoc_md1830", null ]
    ] ],
    [ "GPIO", "DRIVERS_GPIO_PAGE.html", [
      [ "Features Supported", "DRIVERS_GPIO_PAGE.html#autotoc_md1831", null ],
      [ "SysConfig Features", "DRIVERS_GPIO_PAGE.html#autotoc_md1832", null ],
      [ "Features NOT Supported", "DRIVERS_GPIO_PAGE.html#autotoc_md1833", null ],
      [ "Important Usage Guidelines", "DRIVERS_GPIO_PAGE.html#autotoc_md1834", null ],
      [ "Example Usage", "DRIVERS_GPIO_PAGE.html#autotoc_md1835", null ],
      [ "API", "DRIVERS_GPIO_PAGE.html#autotoc_md1836", null ]
    ] ],
    [ "GPMC", "DRIVERS_GPMC_PAGE.html", [
      [ "Features Supported", "DRIVERS_GPMC_PAGE.html#autotoc_md2024", null ],
      [ "SysConfig Features", "DRIVERS_GPMC_PAGE.html#autotoc_md2025", null ],
      [ "Features NOT Supported", "DRIVERS_GPMC_PAGE.html#autotoc_md2026", null ],
      [ "GPMC Overview", "DRIVERS_GPMC_PAGE.html#autotoc_md2027", null ],
      [ "ECC Calculator", "DRIVERS_GPMC_PAGE.html#autotoc_md2028", null ],
      [ "Example Usage", "DRIVERS_GPMC_PAGE.html#autotoc_md2029", null ],
      [ "API", "DRIVERS_GPMC_PAGE.html#autotoc_md2030", null ]
    ] ],
    [ "GTC", "DRIVERS_GTC_PAGE.html", [
      [ "Features Supported", "DRIVERS_GTC_PAGE.html#autotoc_md1837", null ],
      [ "SysConfig Features", "DRIVERS_GTC_PAGE.html#autotoc_md1838", null ],
      [ "Features NOT Supported", "DRIVERS_GTC_PAGE.html#autotoc_md1839", null ],
      [ "Example Usage", "DRIVERS_GTC_PAGE.html#autotoc_md1840", null ],
      [ "API", "DRIVERS_GTC_PAGE.html#autotoc_md1841", null ]
    ] ],
    [ "I2C", "DRIVERS_I2C_PAGE.html", "DRIVERS_I2C_PAGE" ],
    [ "IPC Notify", "DRIVERS_IPC_NOTIFY_PAGE.html", [
      [ "Features Supported", "DRIVERS_IPC_NOTIFY_PAGE.html#autotoc_md1863", null ],
      [ "SysConfig Features", "DRIVERS_IPC_NOTIFY_PAGE.html#autotoc_md1864", null ],
      [ "Important Usage Guidelines", "DRIVERS_IPC_NOTIFY_PAGE.html#autotoc_md1865", null ],
      [ "Example Usage", "DRIVERS_IPC_NOTIFY_PAGE.html#autotoc_md1866", null ],
      [ "API", "DRIVERS_IPC_NOTIFY_PAGE.html#autotoc_md1867", null ]
    ] ],
    [ "IPC RPMessage", "DRIVERS_IPC_RPMESSAGE_PAGE.html", [
      [ "Features Supported", "DRIVERS_IPC_RPMESSAGE_PAGE.html#autotoc_md1868", null ],
      [ "SysConfig Features", "DRIVERS_IPC_RPMESSAGE_PAGE.html#autotoc_md1869", null ],
      [ "Features NOT Supported", "DRIVERS_IPC_RPMESSAGE_PAGE.html#autotoc_md1870", null ],
      [ "Important Usage Guidelines", "DRIVERS_IPC_RPMESSAGE_PAGE.html#autotoc_md1871", null ],
      [ "Example Usage", "DRIVERS_IPC_RPMESSAGE_PAGE.html#autotoc_md1872", null ],
      [ "API", "DRIVERS_IPC_RPMESSAGE_PAGE.html#autotoc_md1873", null ]
    ] ],
    [ "MCAN", "DRIVERS_MCAN_PAGE.html", [
      [ "Features Supported", "DRIVERS_MCAN_PAGE.html#autotoc_md1874", null ],
      [ "SysConfig Features", "DRIVERS_MCAN_PAGE.html#autotoc_md1875", null ],
      [ "Features NOT Supported", "DRIVERS_MCAN_PAGE.html#autotoc_md1876", null ],
      [ "Usage", "DRIVERS_MCAN_PAGE.html#autotoc_md1877", [
        [ "Message Ram Initialization", "DRIVERS_MCAN_PAGE.html#autotoc_md1878", null ],
        [ "Acceptance filtering", "DRIVERS_MCAN_PAGE.html#autotoc_md1879", null ],
        [ "Filter Types", "DRIVERS_MCAN_PAGE.html#autotoc_md1880", [
          [ "Range Filter", "DRIVERS_MCAN_PAGE.html#autotoc_md1881", null ],
          [ "Filter for specific IDs", "DRIVERS_MCAN_PAGE.html#autotoc_md1882", null ],
          [ "Classic Bit Mask Filter", "DRIVERS_MCAN_PAGE.html#autotoc_md1883", null ]
        ] ],
        [ "Filter Element Configuration", "DRIVERS_MCAN_PAGE.html#autotoc_md1884", null ],
        [ "Tx Buffer/FIFO Configuration", "DRIVERS_MCAN_PAGE.html#autotoc_md1885", null ]
      ] ],
      [ "Important Usage Guidelines", "DRIVERS_MCAN_PAGE.html#autotoc_md1886", [
        [ "Bit Rate Calculation", "DRIVERS_MCAN_PAGE.html#autotoc_md1887", null ],
        [ "CAN bus termination", "DRIVERS_MCAN_PAGE.html#autotoc_md1888", null ],
        [ "Transceiver Delay Compensation Value(TDCV)", "DRIVERS_MCAN_PAGE.html#autotoc_md1889", null ],
        [ "Things to consider/check before sending a message over CAN bus", "DRIVERS_MCAN_PAGE.html#autotoc_md1890", null ],
        [ "Debug CAN communication failure", "DRIVERS_MCAN_PAGE.html#autotoc_md1891", null ],
        [ "BusOff Recovery Sequence", "DRIVERS_MCAN_PAGE.html#autotoc_md1892", null ]
      ] ],
      [ "Example Usage", "DRIVERS_MCAN_PAGE.html#MCAN_EXAMPLE_USAGE", null ],
      [ "API", "DRIVERS_MCAN_PAGE.html#autotoc_md1893", null ]
    ] ],
    [ "MCSPI", "DRIVERS_MCSPI_PAGE.html", "DRIVERS_MCSPI_PAGE" ],
    [ "MDIO", "DRIVERS_MDIO_PAGE.html", [
      [ "Features Supported", "DRIVERS_MDIO_PAGE.html#autotoc_md1917", null ],
      [ "Features NOT Supported", "DRIVERS_MDIO_PAGE.html#autotoc_md1918", null ],
      [ "Example Usage", "DRIVERS_MDIO_PAGE.html#autotoc_md1919", null ],
      [ "API", "DRIVERS_MDIO_PAGE.html#autotoc_md1920", null ]
    ] ],
    [ "MMCSD", "DRIVERS_MMCSD_PAGE.html", [
      [ "Features Supported", "DRIVERS_MMCSD_PAGE.html#autotoc_md1921", null ],
      [ "SysConfig Features", "DRIVERS_MMCSD_PAGE.html#autotoc_md1922", null ],
      [ "Features not Supported", "DRIVERS_MMCSD_PAGE.html#autotoc_md1923", null ],
      [ "Example Usage", "DRIVERS_MMCSD_PAGE.html#autotoc_md1924", null ],
      [ "API", "DRIVERS_MMCSD_PAGE.html#autotoc_md1925", null ]
    ] ],
    [ "OSPI", "DRIVERS_OSPI_PAGE.html", [
      [ "Features Supported", "DRIVERS_OSPI_PAGE.html#autotoc_md1926", null ],
      [ "SysConfig Features", "DRIVERS_OSPI_PAGE.html#autotoc_md1927", null ],
      [ "Features not Supported", "DRIVERS_OSPI_PAGE.html#autotoc_md1928", null ],
      [ "Example Usage", "DRIVERS_OSPI_PAGE.html#autotoc_md1929", null ],
      [ "API", "DRIVERS_OSPI_PAGE.html#autotoc_md1930", null ]
    ] ],
    [ "PCIE", "DRIVERS_PCIE_PAGE.html", [
      [ "Features Supported", "DRIVERS_PCIE_PAGE.html#autotoc_md1931", null ],
      [ "SysConfig Features", "DRIVERS_PCIE_PAGE.html#autotoc_md1932", null ],
      [ "Features NOT supported", "DRIVERS_PCIE_PAGE.html#autotoc_md1933", null ],
      [ "Usage Overview", "DRIVERS_PCIE_PAGE.html#autotoc_md1934", [
        [ "Initializing PCIe driver", "DRIVERS_PCIE_PAGE.html#autotoc_md1935", null ],
        [ "Opening PCIe driver", "DRIVERS_PCIE_PAGE.html#autotoc_md1936", null ],
        [ "Configuration of the PCIe driver", "DRIVERS_PCIE_PAGE.html#autotoc_md1937", null ]
      ] ],
      [ "Important Usage Guidelines", "DRIVERS_PCIE_PAGE.html#autotoc_md1938", null ],
      [ "Example Usage", "DRIVERS_PCIE_PAGE.html#autotoc_md1939", null ],
      [ "API", "DRIVERS_PCIE_PAGE.html#autotoc_md1940", null ]
    ] ],
    [ "PINMUX", "DRIVERS_PINMUX_PAGE.html", [
      [ "Features Supported", "DRIVERS_PINMUX_PAGE.html#autotoc_md1941", null ],
      [ "SysConfig Features", "DRIVERS_PINMUX_PAGE.html#autotoc_md1942", null ],
      [ "Features NOT Supported", "DRIVERS_PINMUX_PAGE.html#autotoc_md1943", null ],
      [ "Important Usage Guidelines", "DRIVERS_PINMUX_PAGE.html#autotoc_md1944", null ],
      [ "Example Usage", "DRIVERS_PINMUX_PAGE.html#autotoc_md1945", null ],
      [ "API", "DRIVERS_PINMUX_PAGE.html#autotoc_md1946", null ]
    ] ],
    [ "PMU", "DRIVERS_PMU_PAGE.html", [
      [ "Features Supported", "DRIVERS_PMU_PAGE.html#autotoc_md1947", null ],
      [ "Features NOT Supported", "DRIVERS_PMU_PAGE.html#autotoc_md1948", null ],
      [ "Example Usage", "DRIVERS_PMU_PAGE.html#autotoc_md1949", null ],
      [ "API", "DRIVERS_PMU_PAGE.html#autotoc_md1950", null ]
    ] ],
    [ "PRUICSS", "DRIVERS_PRUICSS_PAGE.html", [
      [ "Features Supported", "DRIVERS_PRUICSS_PAGE.html#autotoc_md1951", null ],
      [ "SysConfig Features", "DRIVERS_PRUICSS_PAGE.html#autotoc_md1952", null ],
      [ "PRUICSS Interrupt Controller", "DRIVERS_PRUICSS_PAGE.html#PRUICSS_INTC", [
        [ "Sysconfig for INTC", "DRIVERS_PRUICSS_PAGE.html#autotoc_md1953", null ],
        [ "User Defined INTC Settings", "DRIVERS_PRUICSS_PAGE.html#autotoc_md1954", null ]
      ] ],
      [ "Example Usage", "DRIVERS_PRUICSS_PAGE.html#autotoc_md1955", null ],
      [ "API", "DRIVERS_PRUICSS_PAGE.html#autotoc_md1956", null ]
    ] ],
    [ "SCICLIENT", "DRIVERS_SCICLIENT_PAGE.html", [
      [ "Features Supported", "DRIVERS_SCICLIENT_PAGE.html#autotoc_md1966", null ],
      [ "SysConfig Features", "DRIVERS_SCICLIENT_PAGE.html#autotoc_md1967", null ],
      [ "Features NOT Supported", "DRIVERS_SCICLIENT_PAGE.html#autotoc_md1968", null ],
      [ "Important Usage Guidelines", "DRIVERS_SCICLIENT_PAGE.html#autotoc_md1969", null ],
      [ "Example Usage", "DRIVERS_SCICLIENT_PAGE.html#autotoc_md1970", null ],
      [ "API", "DRIVERS_SCICLIENT_PAGE.html#autotoc_md1971", null ]
    ] ],
    [ "SPINLOCK", "DRIVERS_SPINLOCK_PAGE.html", [
      [ "Features Supported", "DRIVERS_SPINLOCK_PAGE.html#autotoc_md1972", null ],
      [ "SysConfig Features", "DRIVERS_SPINLOCK_PAGE.html#autotoc_md1973", null ],
      [ "Features NOT Supported", "DRIVERS_SPINLOCK_PAGE.html#autotoc_md1974", null ],
      [ "Important Usage Guidelines", "DRIVERS_SPINLOCK_PAGE.html#autotoc_md1975", null ],
      [ "Example Usage", "DRIVERS_SPINLOCK_PAGE.html#autotoc_md1976", null ],
      [ "API", "DRIVERS_SPINLOCK_PAGE.html#autotoc_md1977", null ]
    ] ],
    [ "UART", "DRIVERS_UART_PAGE.html", "DRIVERS_UART_PAGE" ],
    [ "UDMA", "DRIVERS_UDMA_PAGE.html", [
      [ "Features Supported", "DRIVERS_UDMA_PAGE.html#autotoc_md1999", null ],
      [ "SysConfig Features", "DRIVERS_UDMA_PAGE.html#autotoc_md2000", null ],
      [ "Features NOT Supported", "DRIVERS_UDMA_PAGE.html#autotoc_md2001", null ],
      [ "Important Usage Guidelines", "DRIVERS_UDMA_PAGE.html#autotoc_md2002", null ],
      [ "DMSS Overview", "DRIVERS_UDMA_PAGE.html#autotoc_md2003", [
        [ "Packet DMA (PKTDMA)", "DRIVERS_UDMA_PAGE.html#autotoc_md2004", null ],
        [ "Block Copy DMA (BCDMA)", "DRIVERS_UDMA_PAGE.html#autotoc_md2005", null ]
      ] ],
      [ "DMSS Transfer Overciew", "DRIVERS_UDMA_PAGE.html#autotoc_md2006", [
        [ "Transfer Request (TR) Record", "DRIVERS_UDMA_PAGE.html#autotoc_md2007", null ],
        [ "UDMA Setup/Flow", "DRIVERS_UDMA_PAGE.html#autotoc_md2008", null ]
      ] ],
      [ "Additional Documentation", "DRIVERS_UDMA_PAGE.html#autotoc_md2009", null ],
      [ "Example Usage", "DRIVERS_UDMA_PAGE.html#autotoc_md2010", null ],
      [ "API", "DRIVERS_UDMA_PAGE.html#autotoc_md2011", null ]
    ] ],
    [ "SOC", "DRIVERS_SOC_PAGE.html", [
      [ "Features Supported", "DRIVERS_SOC_PAGE.html#autotoc_md2012", null ],
      [ "SysConfig Features", "DRIVERS_SOC_PAGE.html#autotoc_md2013", null ],
      [ "Features NOT Supported", "DRIVERS_SOC_PAGE.html#autotoc_md2014", null ],
      [ "Important Usage Guidelines", "DRIVERS_SOC_PAGE.html#autotoc_md2015", null ],
      [ "Example Usage", "DRIVERS_SOC_PAGE.html#autotoc_md2016", null ],
      [ "API", "DRIVERS_SOC_PAGE.html#autotoc_md2017", null ]
    ] ],
    [ "WATCHDOG", "DRIVERS_WATCHDOG_PAGE.html", [
      [ "Features Supported", "DRIVERS_WATCHDOG_PAGE.html#autotoc_md2018", null ],
      [ "SysConfig Features", "DRIVERS_WATCHDOG_PAGE.html#autotoc_md2019", null ],
      [ "Features NOT Supported", "DRIVERS_WATCHDOG_PAGE.html#autotoc_md2020", null ],
      [ "Important Usage Guidelines", "DRIVERS_WATCHDOG_PAGE.html#autotoc_md2021", null ],
      [ "Example Usage", "DRIVERS_WATCHDOG_PAGE.html#autotoc_md2022", null ],
      [ "API", "DRIVERS_WATCHDOG_PAGE.html#autotoc_md2023", null ]
    ] ]
];