var GETTING_STARTED =
[
    [ "Introduction", "GETTING_STARTED.html#autotoc_md6", [
      [ "Getting Started Goals", "GETTING_STARTED.html#autotoc_md7", null ],
      [ "Terms and Abbreviations", "GETTING_STARTED.html#autotoc_md8", null ],
      [ "Getting Started Steps", "GETTING_STARTED.html#autotoc_md9", null ],
      [ "Next Steps", "GETTING_STARTED.html#autotoc_md10", null ]
    ] ],
    [ "Download, Install and Setup SDK and Tools", "SDK_DOWNLOAD_PAGE.html", [
      [ "Host PC Requirements", "SDK_DOWNLOAD_PAGE.html#autotoc_md11", null ],
      [ "Download and Install the SDK", "SDK_DOWNLOAD_PAGE.html#autotoc_md12", null ],
      [ "Download and Install Additional SDK Tools", "SDK_DOWNLOAD_PAGE.html#autotoc_md13", [
        [ "SysConfig", "SDK_DOWNLOAD_PAGE.html#autotoc_md14", null ],
        [ "Uniflash", "SDK_DOWNLOAD_PAGE.html#autotoc_md15", null ],
        [ "Python3", "SDK_DOWNLOAD_PAGE.html#INSTALL_PYTHON3", null ],
        [ "OpenSSL", "SDK_DOWNLOAD_PAGE.html#INSTALL_OPENSSL", null ],
        [ "dfu-util", "SDK_DOWNLOAD_PAGE.html#INSTALL_DFU_UTIL", [
          [ "Windows", "SDK_DOWNLOAD_PAGE.html#autotoc_md16", [
            [ "Steps to install windows generic USB drivers.", "SDK_DOWNLOAD_PAGE.html#autotoc_md17", null ],
            [ "Setps to Install drivers for using SBL DFU.", "SDK_DOWNLOAD_PAGE.html#autotoc_md18", null ]
          ] ],
          [ "Linux", "SDK_DOWNLOAD_PAGE.html#autotoc_md19", null ]
        ] ],
        [ "PRU-CGT", "SDK_DOWNLOAD_PAGE.html#INSTALL_PRU-CGT", null ],
        [ "Mono Runtime", "SDK_DOWNLOAD_PAGE.html#INSTALL_MONO", null ],
        [ "Code Composer Studio (CCS)", "SDK_DOWNLOAD_PAGE.html#autotoc_md20", null ]
      ] ],
      [ "Download and Install Additional SDK Tools", "SDK_DOWNLOAD_PAGE.html#autotoc_md21", [
        [ "TI CLANG Compiler Toolchain", "SDK_DOWNLOAD_PAGE.html#INSTALL_TIARMCLANG", null ]
      ] ]
    ] ],
    [ "Download, Install and Setup CCS", "CCS_SETUP_PAGE.html", [
      [ "Download CCS", "CCS_SETUP_PAGE.html#autotoc_md22", null ],
      [ "Install CCS", "CCS_SETUP_PAGE.html#autotoc_md23", null ],
      [ "Check Packages as seen by CCS", "CCS_SETUP_PAGE.html#CCS_PACKAGE_CHECK", null ],
      [ "Create Target Configuration", "CCS_SETUP_PAGE.html#CCS_NEW_TARGET_CONFIG", [
        [ "AM243X-LP", "CCS_SETUP_PAGE.html#autotoc_md24", null ],
        [ "AM243X-EVM", "CCS_SETUP_PAGE.html#autotoc_md25", null ]
      ] ],
      [ "Known Issues", "CCS_SETUP_PAGE.html#autotoc_md26", null ]
    ] ],
    [ "EVM Setup", "EVM_SETUP_PAGE.html", [
      [ "Cable Connections", "EVM_SETUP_PAGE.html#EVM_CABLES", [
        [ "AM243X-LP", "EVM_SETUP_PAGE.html#autotoc_md27", null ],
        [ "AM243X-EVM", "EVM_SETUP_PAGE.html#autotoc_md28", null ]
      ] ],
      [ "Device Type Identification", "EVM_SETUP_PAGE.html#DEVICE_TYPE", null ],
      [ "Setup UART Terminal", "EVM_SETUP_PAGE.html#CCS_UART_TERMINAL", [
        [ "AM243X-LP", "EVM_SETUP_PAGE.html#autotoc_md29", null ],
        [ "AM243X-EVM", "EVM_SETUP_PAGE.html#autotoc_md30", null ]
      ] ],
      [ "Flash SOC Initialization Binary", "EVM_SETUP_PAGE.html#EVM_FLASH_SOC_INIT", [
        [ "AM243X-LP", "EVM_SETUP_PAGE.html#autotoc_md31", null ],
        [ "AM243X-EVM", "EVM_SETUP_PAGE.html#autotoc_md32", null ]
      ] ],
      [ "DDR Initialization", "EVM_SETUP_PAGE.html#DDR_INIT", [
        [ "AM243X-EVM", "EVM_SETUP_PAGE.html#autotoc_md33", null ]
      ] ],
      [ "Additional Details", "EVM_SETUP_PAGE.html#autotoc_md34", [
        [ "SOC Initialization", "EVM_SETUP_PAGE.html#EVM_SOC_INIT", [
          [ "SOC Initialization Using SD BOOT", "EVM_SETUP_PAGE.html#EVM_SOC_INIT_SD_BOOT_MODE", null ],
          [ "SOC Initialization Using CCS Scripting", "EVM_SETUP_PAGE.html#EVM_SOC_INIT_NOBOOT_MODE", [
            [ "Set Environment Variable", "EVM_SETUP_PAGE.html#autotoc_md35", null ],
            [ "Run the SOC Initialization Script", "EVM_SETUP_PAGE.html#autotoc_md36", null ]
          ] ]
        ] ],
        [ "BOOT MODE", "EVM_SETUP_PAGE.html#autotoc_md37", [
          [ "UART BOOT MODE", "EVM_SETUP_PAGE.html#BOOTMODE_UART", [
            [ "AM243X-LP", "EVM_SETUP_PAGE.html#autotoc_md38", null ],
            [ "AM243X-EVM", "EVM_SETUP_PAGE.html#autotoc_md39", null ]
          ] ],
          [ "DFU BOOT MODE", "EVM_SETUP_PAGE.html#BOOTMODE_DFU", [
            [ "AM243x-LP", "EVM_SETUP_PAGE.html#autotoc_md40", null ],
            [ "AM243x-EVM", "EVM_SETUP_PAGE.html#autotoc_md41", null ]
          ] ],
          [ "OSPI BOOT MODE", "EVM_SETUP_PAGE.html#BOOTMODE_OSPI", [
            [ "AM243X-LP", "EVM_SETUP_PAGE.html#autotoc_md42", null ],
            [ "AM243X-EVM", "EVM_SETUP_PAGE.html#autotoc_md43", null ]
          ] ],
          [ "SD BOOT MODE", "EVM_SETUP_PAGE.html#BOOTMODE_SD", [
            [ "AM243X-EVM", "EVM_SETUP_PAGE.html#autotoc_md44", null ]
          ] ],
          [ "DEV BOOT MODE", "EVM_SETUP_PAGE.html#BOOTMODE_NOBOOT", [
            [ "AM243X-LP", "EVM_SETUP_PAGE.html#autotoc_md45", null ],
            [ "AM243X-EVM", "EVM_SETUP_PAGE.html#autotoc_md46", null ]
          ] ],
          [ "EMMC BOOT MODE", "EVM_SETUP_PAGE.html#BOOTMODE_EMMC", [
            [ "AM243X-EVM", "EVM_SETUP_PAGE.html#autotoc_md47", null ]
          ] ],
          [ "PCIE BOOT MODE", "EVM_SETUP_PAGE.html#BOOTMODE_PCIE", [
            [ "AM243X-EVM", "EVM_SETUP_PAGE.html#autotoc_md48", null ]
          ] ]
        ] ]
      ] ],
      [ "Troubleshooting EVM issues", "EVM_SETUP_PAGE.html#TROUBLESHOOT_ISSUES", null ]
    ] ],
    [ "Build a Hello World example", "GETTING_STARTED_BUILD.html", [
      [ "Using CCS projects", "GETTING_STARTED_BUILD.html#autotoc_md49", null ],
      [ "Using makefiles", "GETTING_STARTED_BUILD.html#autotoc_md50", null ],
      [ "Rebuilding libraries", "GETTING_STARTED_BUILD.html#autotoc_md51", null ]
    ] ],
    [ "CCS Launch, Load and Run", "CCS_LAUNCH_PAGE.html", [
      [ "Prerequisites", "CCS_LAUNCH_PAGE.html#PREREQUISITES", null ],
      [ "Launch CCS", "CCS_LAUNCH_PAGE.html#CCS_LAUNCH", null ],
      [ "Load and run example binaries", "CCS_LAUNCH_PAGE.html#CCS_LOAD_RUN", null ],
      [ "Re-load and run example binaries", "CCS_LAUNCH_PAGE.html#autotoc_md52", null ]
    ] ],
    [ "Flash a Hello World example", "GETTING_STARTED_FLASH.html", [
      [ "Introduction", "GETTING_STARTED_FLASH.html#autotoc_md53", null ],
      [ "Getting ready to flash the application", "GETTING_STARTED_FLASH.html#autotoc_md54", null ],
      [ "Flashing the application", "GETTING_STARTED_FLASH.html#autotoc_md55", [
        [ "AM243X-LP", "GETTING_STARTED_FLASH.html#autotoc_md56", null ],
        [ "AM243X-EVM", "GETTING_STARTED_FLASH.html#autotoc_md57", null ]
      ] ],
      [ "Running the flashed application", "GETTING_STARTED_FLASH.html#autotoc_md58", [
        [ "AM243X-LP", "GETTING_STARTED_FLASH.html#autotoc_md59", null ],
        [ "AM243X-EVM", "GETTING_STARTED_FLASH.html#autotoc_md60", null ]
      ] ],
      [ "see also", "GETTING_STARTED_FLASH.html#autotoc_md61", null ]
    ] ],
    [ "Flash a Hello World example using DFU", "GETTING_STARTED_FLASH_DFU.html", [
      [ "Introduction", "GETTING_STARTED_FLASH_DFU.html#autotoc_md62", null ],
      [ "Getting ready to flash the application", "GETTING_STARTED_FLASH_DFU.html#autotoc_md63", null ],
      [ "Flashing the application using USB DFU", "GETTING_STARTED_FLASH_DFU.html#autotoc_md64", [
        [ "AM243X-LP", "GETTING_STARTED_FLASH_DFU.html#autotoc_md65", null ],
        [ "AM243X-EVM", "GETTING_STARTED_FLASH_DFU.html#autotoc_md66", null ]
      ] ],
      [ "Running the flashed application", "GETTING_STARTED_FLASH_DFU.html#autotoc_md67", [
        [ "AM243X-LP", "GETTING_STARTED_FLASH_DFU.html#autotoc_md68", null ],
        [ "AM243X-EVM", "GETTING_STARTED_FLASH_DFU.html#autotoc_md69", null ]
      ] ]
    ] ],
    [ "Getting Started With Smart Placement", "SMART_PLACEMENT_GETTING_STARTED.html", [
      [ "Introduction", "SMART_PLACEMENT_GETTING_STARTED.html#autotoc_md70", [
        [ "When is smart placement required:", "SMART_PLACEMENT_GETTING_STARTED.html#autotoc_md71", null ],
        [ "What not to expect from Smart Placement?", "SMART_PLACEMENT_GETTING_STARTED.html#autotoc_md72", null ]
      ] ],
      [ "Specific implementation of smart placement", "SMART_PLACEMENT_GETTING_STARTED.html#autotoc_md73", [
        [ "Manual Implementation", "SMART_PLACEMENT_GETTING_STARTED.html#autotoc_md74", null ],
        [ "SW Instrumentation implementation", "SMART_PLACEMENT_GETTING_STARTED.html#autotoc_md75", null ]
      ] ]
    ] ]
];