var NETWORKING =
[
    [ "Overview", "NETWORKING.html#autotoc_md2062", [
      [ "Salient Features", "NETWORKING.html#autotoc_md2063", null ],
      [ "Software Components Overview", "NETWORKING.html#autotoc_md2064", null ],
      [ "Examples and Demos", "NETWORKING.html#autotoc_md2065", null ],
      [ "Performance", "NETWORKING.html#autotoc_md2066", null ],
      [ "Ethernet Driver", "NETWORKING.html#autotoc_md2067", null ],
      [ "TCP/IP Stack", "NETWORKING.html#autotoc_md2068", null ],
      [ "Time Sensitive Networking (TSN) Stack", "NETWORKING.html#autotoc_md2069", null ]
    ] ],
    [ "Enet-LLD", "ENET_LLD.html", "ENET_LLD" ],
    [ "Lightweight IP (LwIP)", "NETWORKING_LWIP.html", "NETWORKING_LWIP" ],
    [ "Ethernet TSN and gPTP Stack - API and Integration Guide", "ENET_CPSW_TSN_GPTP.html", [
      [ "Pre-requisites", "ENET_CPSW_TSN_GPTP.html#autotoc_md2082", null ],
      [ "Introduction", "ENET_CPSW_TSN_GPTP.html#autotoc_md2083", null ],
      [ "Demo and Examples", "ENET_CPSW_TSN_GPTP.html#autotoc_md2084", null ],
      [ "TSN Stack", "ENET_CPSW_TSN_GPTP.html#autotoc_md2085", [
        [ "Compilation", "ENET_CPSW_TSN_GPTP.html#autotoc_md2086", null ],
        [ "Modules", "ENET_CPSW_TSN_GPTP.html#autotoc_md2087", null ],
        [ "Stack Initialization", "ENET_CPSW_TSN_GPTP.html#autotoc_md2088", null ],
        [ "Logging", "ENET_CPSW_TSN_GPTP.html#autotoc_md2089", null ],
        [ "Starting uniconf and gPTP", "ENET_CPSW_TSN_GPTP.html#autotoc_md2090", null ],
        [ "TSN Deinitialization", "ENET_CPSW_TSN_GPTP.html#autotoc_md2091", null ],
        [ "gPTP Multiple Domains", "ENET_CPSW_TSN_GPTP.html#autotoc_md2092", null ],
        [ "gPTP Shorter Sync Interval", "ENET_CPSW_TSN_GPTP.html#autotoc_md2093", null ]
      ] ],
      [ "Integration", "ENET_CPSW_TSN_GPTP.html#autotoc_md2094", [
        [ "Source integration", "ENET_CPSW_TSN_GPTP.html#autotoc_md2095", null ],
        [ "Uniconf configuration", "ENET_CPSW_TSN_GPTP.html#autotoc_md2096", null ],
        [ "gPTP Yang Config Parameters", "ENET_CPSW_TSN_GPTP.html#autotoc_md2097", null ],
        [ "gPTP Non-Yang Config Parameters", "ENET_CPSW_TSN_GPTP.html#autotoc_md2098", [
          [ "gPTP Performance optimization", "ENET_CPSW_TSN_GPTP.html#autotoc_md2099", null ]
        ] ]
      ] ],
      [ "Limitations", "ENET_CPSW_TSN_GPTP.html#autotoc_md2100", null ],
      [ "See Also", "ENET_CPSW_TSN_GPTP.html#autotoc_md2101", null ]
    ] ],
    [ "Ethernet TSN gPTP Examples", "EXAMPLES_ENET_CPSW_TSN_GPTP.html", "EXAMPLES_ENET_CPSW_TSN_GPTP" ],
    [ "Ethernet LLDP Stack - API and Integration Guide", "ENET_CPSW_LLDP.html", [
      [ "Pre-requisites", "ENET_CPSW_LLDP.html#autotoc_md2102", null ],
      [ "Introduction", "ENET_CPSW_LLDP.html#autotoc_md2103", null ],
      [ "Demo and Examples", "ENET_CPSW_LLDP.html#autotoc_md2104", null ],
      [ "TSN Stack", "ENET_CPSW_LLDP.html#autotoc_md2105", [
        [ "Compilation", "ENET_CPSW_LLDP.html#autotoc_md2106", null ],
        [ "Modules", "ENET_CPSW_LLDP.html#autotoc_md2107", null ],
        [ "Stack Initialization", "ENET_CPSW_LLDP.html#autotoc_md2108", null ],
        [ "Logging", "ENET_CPSW_LLDP.html#autotoc_md2109", null ],
        [ "Starting uniconf and LLDP applications", "ENET_CPSW_LLDP.html#autotoc_md2110", null ],
        [ "LLDP Deinitialization", "ENET_CPSW_LLDP.html#autotoc_md2111", null ]
      ] ],
      [ "Integration", "ENET_CPSW_LLDP.html#autotoc_md2112", [
        [ "Source integration", "ENET_CPSW_LLDP.html#autotoc_md2113", null ],
        [ "Uniconf configuration", "ENET_CPSW_LLDP.html#autotoc_md2114", null ],
        [ "LLDP configuration parameters", "ENET_CPSW_LLDP.html#autotoc_md2115", null ]
      ] ],
      [ "See Also", "ENET_CPSW_LLDP.html#autotoc_md2116", null ]
    ] ]
];